# JacocoPluginExtension

API Documentation: | `JacocoPluginExtension`

Note: This class is incubating and may change in a future version of Gradle.

Extension including common properties and methods for Jacoco.

### Properties

Property | Description
`reportsDir` | Incubating The directory where reports will be generated.
`toolVersion` | Incubating Version of Jacoco JARs to use.

### Methods

Method | Description
`applyTo(task)` | Incubating Applies Jacoco to the given task. Configuration options will be provided on a task extension named 'jacoco'. Jacoco will be run as an agent during the execution of the task.
`applyTo(tasks)` | Incubating Applies Jacoco to all of the given tasks.

### Script blocks

No script blocks

### Property details

#### `File` `reportsDir`

Note: This property is incubating and may change in a future version of Gradle.

The directory where reports will be generated.

Default:
  ``${project.reporting.baseDir}`/jacoco`

#### `String` `toolVersion`

Note: This property is incubating and may change in a future version of Gradle.

Version of Jacoco JARs to use.

Default:
  `0.7.6.201602180812`

### Method details

#### `void` `applyTo`(`T` task)

Note: This method is incubating and may change in a future version of Gradle.

Applies Jacoco to the given task. Configuration options will be provided on a task extension named 'jacoco'. Jacoco will be run as an agent during the execution of the task.

#### `void` `applyTo`(`TaskCollection` tasks)

Note: This method is incubating and may change in a future version of Gradle.

Applies Jacoco to all of the given tasks.